GRDMASK(1)

NAME
grdmask - Create mask grdfiles from xy paths.

SYNOPSIS
grdmask pathfiles -Gmask_grd_file] -Ixinc[unit][=|+][/yinc[unit][=|+]] -Rwest/east/south/north[r] [ -A ] [ -F ] [ -H[i][nrec] ] [ -M[flag] ] [ -Nout/edge/in ] [ -Ssearch_radius[m|c|k|K] ] [ -V ] [ -:[i|o] ] [ -bi[s|S|d|D][ncol] ] [ -fcolinfo ]

DESCRIPTION
grdmask can operate in two different modes. 1. It reads one or more xy-files that each define a closed polygon. The nodes defined by the specified region and lattice spacing will be set equal to one of three possible values depending on whether the node is outside, on the polygon perimeter, or inside the polygon. The resulting mask grdfile may be used in subsequent operations involving grdmath to mask out data from polygonal areas. 2. The xy-files simply represent data point locations and the mask is set to the inside or outside value depending on whether a node is within a maximum distance from the nearest data point. If the distance specified is zero then only the nodes nearest each data point are considered "inside".

pathfiles
    The name of 1 or more ASCII [or binary, see -b] files holding the polygon(s) or data points.

-G  Name of resulting output mask grd file.

-I  x_inc [and optionally y_inc] is the grid spacing. Append m to indicate minutes or c to indicate seconds. If one of the units e, k, i, or n is appended instead, the increment will be assumed to be in meter, km, miles, or nautical miles, respectively, and will be converted to the equivalent degrees longitude at the middle latitude of the region (the conversion depends on ELLIPSOID). If /y_inc is given but set to 0 it will be reset equal to x_inc; otherwise it will be converted to degrees latitude. If = is appended then the corresponding max x (east) or y (north) may be slightly adjusted to fit exactly the given increment [by default the increment may be adjusted slightly to fit the given domain]. Finally, instead of giving an increment you may specify the number of nodes desired by appending + to the supplied increment; the increment is then recalculated from the number of nodes and the domain. The resulting increment value depends on whether you have selected a gridline-registered or pixel- registered grid; see Appendix B for details.

-R  xmin, xmax, ymin, and ymax specify the Region of interest. For geographic regions, these limits correspond to west, east, south, and north and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of wesn. The two shorthands -Rg -Rd stand for global domain (0/360 or -180/+180 in longitude respectively, with -90/+90 in latitude). For calendar time coordinates you may either give relative time (relative to the selected TIME_EPOCH and in the selected TIME_UNIT; append t to -JX|x), or absolute time of the form [date]T[clock] (append T to -JX|x). At least one of date and clock must be present; the T is always required. The date string must be of the form [-]yyyy[-mm[-dd]] (Gregorian calendar) or yyyy[-Www[-d]] (ISO week calendar), while the clock string must be of the form hh:mm:ss[.xxx]. The use of delimiters and their type and positions must be as indicated (however, input/output and plotting formats are flexible).

OPTIONS

-A  If the input data are geographic (as indicated by -fi) then the sides in the polygons will be approximated by great circle arcs. This can be turned off using the -A switch.

-F  Force pixel registration. [Default is grid registration].

-H  Input file(s) has Header record(s). Number of header records can be changed by editing your .gmtdefaults4 file. If used, GMT default is 1 header record. Use -Hi if only input data should have header records [Default will write out header records if the input data have them].

-M  Multiple segment file. Segments are separated by a record whose first character is flag. [Default is '>'].

-N  Sets the values that will be assigned to nodes that are outside the polygons, on the edge, or inside. Values can be any number, including the textstring NaN [Default is 0/0/1].

-S  Set nodes depending on their distance from the nearest data point. Nodes within radius [0] from a data point are considered inside. Append m to indicate minutes or c to indicate seconds. Append k to indicate km (implies -R and -I are in degrees, and we will use a fast flat Earth approximation to calculate distance). For more accuracy, use uppercase K if distances should be calculated along geodesics. However, if the current ELLIPSOID is set to Sphere then spherical great circle calculations are used.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-bi Selects binary input. Append s for single precision [Default is d (double)]. Uppercase S (or D) will force byte-swapping. Optionally, append ncol, the number of columns in your binary file if it exceeds the columns needed by the program. [Default is 2 input columns].

-f  Special formatting of input and output columns (time or geographical data). Specify i(nput) or o(utput) [Default is both input and output]. Give one or more columns (or column ranges) separated by commas. Append T (Absolute calendar time), t (time relative to chosen TIME_EPOCH), x (longitude), y (latitude), or f (floating point) to each column or column range item. Shorthand -f[i|o]g means -f[i|o]0x,1y (geographic coordinates).

EXAMPLES
To set all nodes inside and on the polygons coastline_*.xy to 0, and outside points to 1, do

grdmask coastline_*.xy -R-60/-40/-40/-30 -I5m -N1/0/0 -Gland_mask.grd -V

To set nodes within 50 km of data points to 1 and other nodes to NaN, do

grdmask data.xyz -R-60/-40/-40/-30 -I5m -NNaN/1/1 -S50k -Gdata_mask.grd -V

SEE ALSO
GMT(1), grdlandmask(1), grdmath(1), grdclip(1), psmask(1), psclip(1)